// Primitive operations:
class HOps
{
   static Nop(): void {}

   static ObjectTypeName(obj): string {
      return obj.constructor.name
   }

   static NullSubst<T>(value: T, subst: T): T {
      return value ? value : subst
   }
} // HOps
